/*
(c) Copyright 1994 HEWLETT-PACKARD COMPANY

To anyone who acknowledges that this file is provided 
"AS IS" without any express or implied warranty:
permission to use, copy, modify, and distribute this 
file for any purpose is hereby granted without fee, 
provided that the above copyright notice and this 
notice appears in all copies, and that the name of 
Hewlett-Packard Company not be used in advertising or 
publicity pertaining to distribution of the software 
without specific, written prior permission.  Hewlett-
Packard Company makes no representations about the 
suitability of this software for any purpose.
*/



#include "xscmlibint.h"

int XscmRender (RENDER_PARS)
    RENDER_PARS_FULL
{
    switch (pInfo->renderType) {
      case XSCM_RENDER_484:
        return XscmRenderDefault (RENDER_PARS);
        break;
      case XSCM_RENDER_884:
        return XscmRender8Bit (RENDER_PARS);
        break;
      case XSCM_RENDER_884_CR:
        return XscmRenderCR (RENDER_PARS);
        break;
      case XSCM_RENDER_24_BIT:
        return XscmRender24Bit (RENDER_PARS);
        break;
      case XSCM_RENDER_GRAY:
        return XscmRGBToGray (RENDER_PARS);
        break;
        }
    return FALSE;
}


int XscmDisplay (DISPLAY_PARS)
    DISPLAY_PARS_FULL
{
    switch (pInfo->renderType) {
      case XSCM_RENDER_484:
        return XscmDisplayDefault (DISPLAY_PARS);
        break;
      case XSCM_RENDER_884:
        return XscmDisplay8Bit (DISPLAY_PARS);
        break;
      case XSCM_RENDER_884_CR:
        return XscmDisplayCR (DISPLAY_PARS);
        break;
      case XSCM_RENDER_24_BIT:
        return XscmDisplay24Bit (DISPLAY_PARS);
        break;
      case XSCM_RENDER_GRAY:
        return XscmDisplayGray (DISPLAY_PARS);
        break;
        }
    return FALSE;
}

